#
# Conditional build:
%bcond_without	apidocs		# gtk-doc baed API documentation
%bcond_without	static_libs	# static library

Summary:	GNOME Structured File library
Summary(pl.UTF-8):	Biblioteka plików strukturalnych dla GNOME
Name:		libgsf
Version:	1.14.53
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://download.gnome.org/sources/libgsf/1.14/%{name}-%{version}.tar.xz
# Source0-md5:	baf36a3e89293652f67cded4b1608cc5
URL:		https://gitlab.gnome.org/GNOME/libgsf
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7.1
BuildRequires:	bzip2-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.0.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.12}
%{?with_apidocs:BuildRequires:	gtk-doc-automake >= 1.12}
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.36.0
Requires:	libxml2 >= 1:2.6.26
Obsoletes:	libgsf-gnome < 1.14.25
Obsoletes:	python-gsf < 1.14.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for reading and writing structured files (e.g. MS OLE and
Zip).

%description -l pl.UTF-8
Biblioteka do odczytu i zapisu plików strukturalnych (np. MS OLE lub
Zip).

%package devel
Summary:	Support files necessary to compile applications with libgsf
Summary(pl.UTF-8):	Pliki do kompilowania aplikacji używających libgsf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	glib2-devel >= 1:2.36.0
Requires:	libxml2-devel >= 1:2.6.26
Obsoletes:	libgsf-gnome-devel < 1.14.25

%description devel
Headers, and support files necessary to compile applications using
libgsf.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do kompilowania aplikacji
używających libgsf.

%package static
Summary:	libgsf static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgsf-gnome-static < 1.14.25

%description static
Package contains static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libgsf.

%package apidocs
Summary:	libgsf API documentation
Summary(pl.UTF-8):	Dokumentacja API libgsf
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
libgsf API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgsf.

%package -n gsf-office-thumbnailer
Summary:	Simple document thumbnailer
Summary(pl.UTF-8):	Prosty generator miniatur dokumentów
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description -n gsf-office-thumbnailer
Simple document thumbnailer.

%description -n gsf-office-thumbnailer -l pl.UTF-8
Prosty program tworzący miniaturki dokumentów.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-introspection \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgsf-1.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/gsf
%attr(755,root,root) %{_bindir}/gsf-vba-dump
%attr(755,root,root) %{_libdir}/libgsf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsf-1.so.114
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-1.so
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gir-1.0/Gsf-1.gir
%{_pkgconfigdir}/libgsf-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgsf-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gsf
%endif

%files -n gsf-office-thumbnailer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*
%changelog
* Sat Oct 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgsf.git;a=log;h=master

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> c8cede5
- updated to 1.14.53

* Mon Feb 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 32da219
- updated to 1.14.52

* Wed Nov 15 2023 Jakub Bogusz <qboosh@pld-linux.org> d021f9a
- updated to 1.14.51

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> e6c8bfd
- updated to 1.14.50

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 8097e97
- updated to 1.14.49

* Tue Dec 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 23f5946
- updated to 1.14.48

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 7e1a803
- unconditional noarch subpackages

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 742e7a2
- updated to 1.14.47

* Fri May 10 2019 Jakub Bogusz <qboosh@pld-linux.org> d6aa808
- updated to 1.14.46

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 0685b37
- drop .la file; release 3

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 6f3089c
- release 2 (by relup.sh)

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 4be2b93
- updated to 1.14.45

* Sun Apr 22 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e669b8c
- Update to 1.14.43

* Thu Jan 04 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 879a1e0
- Update to 1.14.42

* Sat Dec 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1c405fe
- Update to 1.14.41

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> d909679
- updated to 1.14.40

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 8c8e4e9
- updated to 1.14.39

* Thu Jun 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 3ab4673
- updated to 1.14.38

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 132eee7
- noarch apidocs

* Sat Feb 13 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5351301
- Update to 1.14.36

